=== debian/control ===
Source: enve
Section: Grpahics
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.3
Homepage: https://github.com/MaurycyLiebner/enve

Package: enve
Architecture: any
Depends: ${misc:Depends}
Description: Enve
 Flexible, user expandable 2D animation software for Linux and Windows.
